libwx-perl_0.9923-4_amd64.deb


Advertisement

Description

libwx-perl - interface to wxWidgets cross-platform GUI toolkit

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libwx-perl
Package version 0.9923
Package release 4
Package architecture amd64
Package type deb
Installed size 11.77 KB
Download size 1.72 MB
Official Mirror ftp.br.debian.org
wxPerl is an extension module allowing the creation of GUI (Graphical
User Interface) Perl programs using the wxWidgets toolkit. It serves as a Perl
wrapper around wxWidgets.

Alternatives

Package Version Architecture Repository
libwx-perl_0.9923-4_i386.deb 0.9923 i386 Debian Main
libwx-perl - - -

Requires

Name Value
libalien-wxwidgets-perl >= 0.65+dfsg~
libc6 >= 2.14
libgcc1 >= 1:4.1.1
libwxbase3.0-0 >= 3.0.2
libwxgtk-media3.0-0 >= 3.0.2
libwxgtk3.0-0 >= 3.0.2
perl >= 5.20.1-1
perlapi-5.20.1 -
wxperl-gtk2-3-0-2-uni-gcc-3-4 -

Download

Type URL
Binary Package libwx-perl_0.9923-4_amd64.deb
Source Package libwx-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libwx-perl deb package:
    # sudo apt-get install libwx-perl

Files

Path
/usr/bin/wxperl_overload
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/AUI.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Api.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/App.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/ArtProvider.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Calendar.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/DND.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/DataView.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/DateTime.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/DocView.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/DropSource.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Event.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/FS.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Grid.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Help.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Html.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/IPC.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Loader.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Locale.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/MDI.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Media.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Menu.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Mini.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/NewClass.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/PerlTest.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Print.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/PropertyGrid.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/RadioBox.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Ribbon.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/RichText.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/STC.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Socket.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Thread.pod
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Timer.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Wx_Exp.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/XRC.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/typemap
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Overload/Driver.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Overload/Handle.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Perl/Carp.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Perl/SplashFast.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/Perl/TextValidator.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/XSP/Enum.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/XSP/Event.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/XSP/Overload.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/XSP/Virtual.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/Opt.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/Options.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/Utils.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/Any_OS.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/Any_wx_config.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/Core.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/Hacks.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/MacOSX_GCC.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/Win32.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/Win32_MSVC.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/build/MakeMaker/Win32_MinGW.pm
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/chkconfig.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/compat.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/constants.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/e_cback.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/event.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/helpers.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/overload.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/setup.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/streams.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/v_cback.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/v_cback_def.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/Wx/cpp/wxapi.h
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Wx.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/AUI/AUI.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Calendar/Calendar.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/DND/DND.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/DataView/DataView.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/DateTime/DateTime.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/DocView/DocView.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/FS/FS.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Grid/Grid.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Help/Help.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Html/Html.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/IPC/IPC.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/MDI/MDI.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Media/Media.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/PerlTest/PerlTest.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Print/Print.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/PropertyGrid/PropertyGrid.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Ribbon/Ribbon.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/RichText/RichText.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/STC/STC.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/Socket/Socket.so
/usr/lib/x86_64-linux-gnu/perl5/5.20/auto/Wx/XRC/XRC.so
/usr/share/doc/libwx-perl/changelog.Debian.gz
/usr/share/doc/libwx-perl/changelog.gz
/usr/share/doc/libwx-perl/copyright
/usr/share/doc/libwx-perl/examples/README.txt
/usr/share/doc/libwx-perl/examples/dialog/dialog.pl
/usr/share/doc/libwx-perl/examples/hello/hello.pl
/usr/share/doc/libwx-perl/examples/minimal/minimal.pl
/usr/share/doc/libwx-perl/examples/socket/wxSocketClient.pl
/usr/share/doc/libwx-perl/examples/socket/wxSocketClientDatagram.pl
/usr/share/doc/libwx-perl/examples/socket/wxSocketServer.pl
/usr/share/doc/libwx-perl/examples/socket/wxSocketServerDatagram.pl
/usr/share/doc/libwx-perl/examples/trivial/trivial.pl
/usr/share/lintian/overrides/libwx-perl
/usr/share/man/man1/wxperl_overload.1p.gz
/usr/share/man/man3/Wx.3pm.gz
/usr/share/man/man3/Wx::Api.3pm.gz
/usr/share/man/man3/Wx::Loader.3pm.gz
/usr/share/man/man3/Wx::NewClass.3pm.gz
/usr/share/man/man3/Wx::Perl::Carp.3pm.gz
/usr/share/man/man3/Wx::Perl::SplashFast.3pm.gz
/usr/share/man/man3/Wx::Perl::TextValidator.3pm.gz
/usr/share/man/man3/Wx::Socket.3pm.gz
/usr/share/man/man3/Wx::Thread.3pm.gz
/usr/share/man/man3/Wx::build::MakeMaker.3pm.gz
/usr/share/man/man3/Wx::build::Options.3pm.gz
/usr/share/man/man3/Wx::build::Utils.3pm.gz

Changelog

2014-10-10 - Niko Tyni <ntyni@debian.org>
libwx-perl (1:0.9923-4) unstable; urgency=medium
* Team upload.
* Remove arm* workarounds now that the gcc-4.9 issues are fixed.
(Closes: #758497)
* Make the package autopkgtestable.
* Upgrade to Standards-Version 3.9.6 (no changes).
2014-08-17 - Damyan Ivanov <dmn@debian.org>
libwx-perl (1:0.9923-3) unstable; urgency=high
[ gregor herrmann ]
* Add patches from Niko Tyni to handle missing wxwidgets3.0 symbol on
arm{el,hf}:
- Wx.xs: return 0 if wxPluginManager::LoadLibrary fails
- t/01_load.t: skip failing tests
- ext/propgrid/Makefile.PL: skip tests
Closes: #758127
High urgency to help the perl 5.20 transition
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Damyan Ivanov ]
* adapt lintian overrides with new vendorarch (m-a aware and
version-dependent)
2014-08-13 - gregor herrmann <gregoa@debian.org>
libwx-perl (1:0.9923-2) unstable; urgency=medium
[ gregor herrmann ]
* Use $Config{vendorarch} in debian/rules instead of /usr/lib/perl5.
* Refresh fix-fake-pod.patch (offset).
[ Niko Tyni ]
* Depend on the virtual package wxperl-<key>, now provided by
libalien-wxwidgets-perl, to avoid version skew between the
packages. (Closes: #757855)
2014-04-01 - gregor herrmann <gregoa@debian.org>
libwx-perl (1:0.9923-1) unstable; urgency=medium
* Strip trailing slash from metacpan URLs.
* New upstream release.
* (Build-) depend on newer libalien-wxwidgets-perl to get dependency on
wxwidgets3.0. (Closes: #743280)
* Add a lintian override for a spelling mistake in a variable name.
* debian/copyright: fix URL of original wxWindows Library Licence.
* Declare compliance with Debian Policy 3.9.5.
2013-08-19 - gregor herrmann <gregoa@debian.org>
libwx-perl (1:0.9922-2) unstable; urgency=low
* Make (build) dependency on libalien-wxwidgets-perl versioned.
(Closes: #719380)
* Update and forward fix-man-spelling patch.
2013-05-02 - Dominique Dumont <dod@debian.org>
libwx-perl (1:0.9922-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Dominique Dumont ]
* Imported Upstream version 0.9922
* added patch to fix Wx man page spelling errors
* copyright: updated year
* control:
* refreshed with cme
* cleaned up versioned dependencies
* bumped Standards-Version: 3.9.4
+ added /me in uploader
- removed ryan
2012-09-02 - Alessandro Ghedini <ghedo@debian.org>
libwx-perl (1:0.9911-1) unstable; urgency=low
* New upstream release
2012-05-31 - Alessandro Ghedini <ghedo@debian.org>
libwx-perl (1:0.9909-1) unstable; urgency=low
* New upstream release
2012-05-27 - Alessandro Ghedini <ghedo@debian.org>
libwx-perl (1:0.9908-1) unstable; urgency=low
* New upstream release
2012-05-08 - Alessandro Ghedini <ghedo@debian.org>
libwx-perl (1:0.9906-1) unstable; urgency=low
* New upstream release
* Email change: Alessandro Ghedini -> ghedo@debian.org
* Update copyright file with new files

See Also

Package Description
libwx-scintilla-perl_0.39-1+b1_amd64.deb source code editor component for wxWidgets
libwxbase3.0-0_3.0.2-1+b1_amd64.deb wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit
libwxbase3.0-dev_3.0.2-1+b1_amd64.deb wxBase library (development) - non-GUI support classes of wxWidgets toolkit
libwxgtk-media3.0-0_3.0.2-1+b1_amd64.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
libwxgtk-media3.0-dev_3.0.2-1+b1_amd64.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
libwxgtk-webview3.0-0_3.0.2-1+b1_amd64.deb wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
libwxgtk-webview3.0-dev_3.0.2-1+b1_amd64.deb wxWidgets Cross-platform C++ GUI toolkit (webview library development)
libwxgtk3.0-0_3.0.2-1+b1_amd64.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
libwxgtk3.0-dev_3.0.2-1+b1_amd64.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
libwxsqlite3-3.0-0_3.1.1~dfsg1-1_amd64.deb SQLite3 C++ wrapper for use in programs based on the wxWidgets
libwxsqlite3-3.0-dev_3.1.1~dfsg1-1_amd64.deb Development files for wxSQLite3
libwxsvg-dev_1.4~dfsg-2+b1_amd64.deb Development files for wxSVG
libwxsvg2_1.4~dfsg-2+b1_amd64.deb SVG library for the wxWidgets toolkit
libx11-6_1.6.2-3+deb8u1_amd64.deb X11 client-side library
libx11-data_1.6.2-3+deb8u1_all.deb X11 client-side library
Advertisement
Advertisement